package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 班级与老师的关联表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("class_group_teacher_mapper")
public class ClassGroupTeacherMapper extends Model<ClassGroupTeacherMapper> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("music_group_id_")
    private Integer musicGroupId;
    @TableField("class_group_id_")
    private Integer classGroupId;
    /**
     * 老师角色（主教、助教）
     */
    @TableField("teacher_role_")
    private String teacherRole;
    @TableField("user_id_")
    private Integer userId;
    /**
     * 薪酬
     */
    @TableField("salary_")
    private BigDecimal salary;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;


    public Long getId() {
        return id;
    }

    public ClassGroupTeacherMapper setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getMusicGroupId() {
        return musicGroupId;
    }

    public ClassGroupTeacherMapper setMusicGroupId(Integer musicGroupId) {
        this.musicGroupId = musicGroupId;
        return this;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public ClassGroupTeacherMapper setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
        return this;
    }

    public String getTeacherRole() {
        return teacherRole;
    }

    public ClassGroupTeacherMapper setTeacherRole(String teacherRole) {
        this.teacherRole = teacherRole;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public ClassGroupTeacherMapper setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public BigDecimal getSalary() {
        return salary;
    }

    public ClassGroupTeacherMapper setSalary(BigDecimal salary) {
        this.salary = salary;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public ClassGroupTeacherMapper setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public ClassGroupTeacherMapper setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "ClassGroupTeacherMapper{" +
        ", id=" + id +
        ", musicGroupId=" + musicGroupId +
        ", classGroupId=" + classGroupId +
        ", teacherRole=" + teacherRole +
        ", userId=" + userId +
        ", salary=" + salary +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
